[cinnamon-weather] release announcement -- 1.8.0

349 views
Skip to first unread message

TM

unread,
Jun 11, 2013, 3:03:14 PM6/11/13
to cinnamon...@googlegroups.com
(repost)

Version 1.8.0 is now available through the applet manager in `cinnamon-settings`.


This release uses the new applet settings api.  Running scripts with root permission is no longer required.

Note weather@mockturtl 1.8.0 requires Cinnamon 1.8, available from Linux Mint's repos.  If your distribution uses an earlier release of Cinnamon, contact a maintainer.

Please reply to this list if you experience any difficulty upgrading, or file a bug.

Tue, 11 Jun 2013 18:49:15 GMT <mock...@gmail.com>

TM

unread,
Jun 13, 2013, 3:12:23 PM6/13/13
to cinnamon...@googlegroups.com
Version 1.8.1 is now available.

## New features

    * Right-click to access settings.  (Thanks scollins.)

Thu, 13 Jun 2013 19:11:44 GMT <mock...@gmail.com>

Sylvester Beck

unread,
Jun 18, 2013, 6:13:03 PM6/18/13
to cinnamon...@googlegroups.com
I can´t install this version. I got this message:

An error occurred during installation or updating.  You may wish to report this incident to the developer of weather@mockturtl.

If this was an update, the previous installation is unchanged

Details:  [Errno 2] Datei oder Verzeichnis nicht gefunden

TM

unread,
Jun 18, 2013, 6:57:20 PM6/18/13
to cinnamon...@googlegroups.com
Thanks for reporting the problem. I had a little trouble upgrading
myself -- I'm not sure how cleanly it should go.

Try uninstalling via the `cinnamon-settings` Applet menu, and restarting
Cinnamon. Refresh the applet list and reinstall via the Applet menu.

Does that help?


The most extreme cleanup routine is to run the `uninstall` script that
ships with v1.7.x, and log out of the desktop session. I'm hoping this
isn't required to upgrade smoothly.

A few users have reported a similar problem on the spices page.

If anyone did not experience problems upgrading, please let me know,
too. It will help me gauge whether to update the README.



On 06/18/2013 06:13 PM, Sylvester Beck wrote:
> I can�t install this version. I got this message:
>
> An error occurred during installation or updating. You may wish to
> report this incident to the developer of weather@mockturtl.
>
> If this was an update, the previous installation is unchanged
>
> Details: [Errno 2] Datei oder Verzeichnis nicht gefunden
>
> Am Dienstag, 11. Juni 2013 21:03:14 UTC+2 schrieb TM:
>
> (repost)
>
> Version 1.8.0 is now available through the applet manager in
> `cinnamon-settings`.
>
> http://cinnamon-spices.linuxmint.com/applets/view/17
> <http://cinnamon-spices.linuxmint.com/applets/view/17>
>
> This release uses the new applet settings api. Running scripts with
> root permission is no longer required.
>
> Note weather@mockturtl 1.8.0 *requires* Cinnamon 1.8, available from
> Linux Mint's repos. If your distribution uses an earlier release of
> Cinnamon, contact a maintainer.
>
> Please reply to this list if you experience any difficulty
> upgrading, or file a bug
> <https://github.com/mockturtl/cinnamon-weather/issues>.
>
> Tue, 11 Jun 2013 18:49:15 GMT <mock...@gmail.com <javascript:>>
>
> --
> You received this message because you are subscribed to the Google
> Groups "Cinnamon Weather" group.
> To unsubscribe from this group and stop receiving emails from it, send
> an email to cinnamon-weath...@googlegroups.com.
> To post to this group, send email to cinnamon...@googlegroups.com.
> Visit this group at http://groups.google.com/group/cinnamon-weather.
> For more options, visit https://groups.google.com/groups/opt_out.
>
>

TM

unread,
Jun 25, 2013, 12:35:02 PM6/25/13
to cinnamon...@googlegroups.com
Version 1.8.2 is now available.

## New features

    * Multiple instances
    * WOEID lookup launcher


If you get a 404 error popup when upgrading via `cinnamon-settings applets`, click the "Refresh list" button to update your cache.


Tue, 25 Jan 2013 16:32:34 GMT <mock...@gmail.com>

blisbell

unread,
Jun 30, 2013, 3:21:50 PM6/30/13
to cinnamon...@googlegroups.com
Arch linux installed nothing shows up an no errors in looking glass? tried default theme baldr and nightlife graphite theme still nothing.

TM

unread,
Jul 5, 2013, 9:15:13 AM7/5/13
to cinnamon...@googlegroups.com
Version 1.8.3 is now available.

The README notes a bug with Fedora 19 (discussed here[0]) that prevents the applet from loading.

There are no code changes.


[0] https://groups.google.com/forum/#!topic/cinnamon-weather/0t2eXLlnh0g

Fri, 5 Jul 2013 13:14:54 GMT <mock...@gmail.com>

blisbell

unread,
Jul 7, 2013, 9:35:30 AM7/7/13
to cinnamon...@googlegroups.com
Found the bug in Archlinux also this fixed it thanks for pointing it out.

TM

unread,
Jul 27, 2013, 2:21:20 PM7/27/13
to cinnamon...@googlegroups.com
Version 1.8.5 is now available.

## Updated translations

* Finnish.  Thanks to Marko and veikk0.

TM

unread,
Aug 17, 2013, 7:59:39 PM8/17/13
to cinnamon...@googlegroups.com
Version 1.8.6 is now available.

## Updated translations

* Ukranian.  Thanks to judgedredad.

Alexander Pap.

unread,
Sep 6, 2013, 7:15:02 AM9/6/13
to cinnamon...@googlegroups.com
The page for searching the WOEID (http://edg3.co.uk/snippets/weather-location-codes/greece/) does not list my city (Ioannina). The alternative search does though (http://xoap.weather.com/search/search?where=ioannina) but that WOEID does not work with the applet. This is the page in yahoo weather http://weather.yahoo.com/greece/epirus-and-western-macedonia/ioannina-950482/

TM

unread,
Nov 27, 2013, 4:39:20 PM11/27/13
to cinnamon...@googlegroups.com
Version 1.8.7 is now available.

## Updated translations

* Dutch.  Thanks to Pjotr123.

## New features

Use the default context menu ("Configure...") in Cinnamon 2.x.

TM

unread,
Jan 9, 2014, 8:53:46 AM1/9/14
to cinnamon...@googlegroups.com
Version 1.8.8 is now available.

## New features

* Wind chill. Thanks to Scott Geiger.

Geoffroy Ménard

unread,
Jan 9, 2014, 8:58:25 AM1/9/14
to cinnamon...@googlegroups.com
I can't upgrade, the checkbox is greyed out in the Applets list.


Besides it still just writes "Not available" and shows nothing else than the temp. Any hope to have this fixed soon?

TM

unread,
Jan 9, 2014, 7:30:22 PM1/9/14
to cinnamon...@googlegroups.com
On 01/09/2014 08:58 AM, Geoffroy M�nard wrote:
> I can't upgrade, the checkbox is greyed out in the Applets list.

Is the applet index/cache up to date? (Click the "Refresh list" button.)

> Besides it still just writes "Not available" and shows nothing else than
> the temp. Any hope to have this fixed soon?

Yahoo's API is returning an unknown `code` for your location.

https://github.com/mockturtl/cinnamon-weather/blob/master/applet.js#L886

It's probably temporary. Let me know if the problem persists, and I'll
open an issue.

Geoffroy Ménard

unread,
Jan 9, 2014, 9:58:02 PM1/9/14
to cinnamon...@googlegroups.com
Ok, I was wrong, the number I got isn't the weather for my location, it's from Sudbury Ontario 1000kms from here. It seems I'l have to use the weather from Montreal 200 kms south from here, it's not going to be very accurate...
Do you really need to use Yahoo API? Its coverage is really weak. Both AOL and weather.com give weather for my town.


On 01/09/2014 09:44 PM, Geoffroy Ménard wrote:

Forgot to mention, this is the site that gave me a working WOEID

http://woeid.rosselliot.co.nz

Maybe you'd want to link to this one in the applet, it is more functionnal than edg3.co.uk.

I live in Victoriaville, Canada. When I search it on edg3.co.uk (the site your applet links to to lookup the WOEID) it just says no results found. Entering Victoriaville on rosselliot returns "Arthabaska, 3496". Arthabaska is the name of a district in the town of Victoriaville, I'd never have thought to look it up for weather, but there it is. It gives the 3496 code so if I enter CAXX3496 in the applet I get the right weather.

 If I try Drummondville, the biggest city around, I get CAXX0672, which returns "not available" in the applet. rosselliot returns "3510"; if I enter CAXX3510 in the applet it gives the right weather for Drummondville.


On 01/09/2014 09:35 PM, Geoffroy Ménard wrote:
Thanks, I wasn't aware of that Refresh list button.
Also after testing on major cities around I realised it was indeed my location the problem (I had tried several big cities before that all returned Unknown location so I thought your applet didn't work). I looked around and found a web site that gave me a location nearby for which data is available. Thanks.


On 01/09/2014 07:30 PM, TM wrote:

Geoffroy Ménard

unread,
Jan 9, 2014, 9:35:11 PM1/9/14
to cinnamon...@googlegroups.com
Thanks, I wasn't aware of that Refresh list button.
Also after testing on major cities around I realised it was indeed my location the problem (I had tried several big cities before that all returned Unknown location so I thought your applet didn't work). I looked around and found a web site that gave me a location nearby for which data is available. Thanks.


On 01/09/2014 07:30 PM, TM wrote:

Geoffroy Ménard

unread,
Jan 9, 2014, 9:44:46 PM1/9/14
to cinnamon...@googlegroups.com

Forgot to mention, this is the site that gave me a working WOEID

http://woeid.rosselliot.co.nz

Maybe you'd want to link to this one in the applet, it is more functionnal than edg3.co.uk.

I live in Victoriaville, Canada. When I search it on edg3.co.uk (the site your applet links to to lookup the WOEID) it just says no results found. Entering Victoriaville on rosselliot returns "Arthabaska, 3496". Arthabaska is the name of a district in the town of Victoriaville, I'd never have thought to look it up for weather, but there it is. It gives the 3496 code so if I enter CAXX3496 in the applet I get the right weather.

 If I try Drummondville, the biggest city around, I get CAXX0672, which returns "not available" in the applet. rosselliot returns "3510"; if I enter CAXX3510 in the applet it gives the right weather for Drummondville.


On 01/09/2014 09:35 PM, Geoffroy Ménard wrote:

TM

unread,
Feb 3, 2014, 12:58:41 AM2/3/14
to cinnamon...@googlegroups.com
Version 1.8.9 is now available. 

TM

unread,
Feb 5, 2014, 1:49:34 PM2/5/14
to cinnamon...@googlegroups.com
Version 1.8.10 is now available. 

4nt01n3

unread,
Feb 14, 2014, 11:02:03 AM2/14/14
to cinnamon...@googlegroups.com
Hi,

I've installed LM16 et tried to use your desklet and maybe where the location should be, I see this text :
"Project-Id-Version: PACKAGE VERSION\n"
"Report-Msgid-Bugs-To: \n"
"POT-Creation-Date: 2014-01-07 13:47-0500\n"
"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
"Language-Team: LANGUAGE <L...@li.org>\n"
"Language: \n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=CHARSET\n"
"Content-Transfer-Encoding: 8bit\n"

I'm trying to override the location but it doesn't change anything.

An idea ?

Thanks

4nt01n3

unread,
Feb 14, 2014, 11:05:18 AM2/14/14
to cinnamon...@googlegroups.com
Sorry,

Not this text exactly (I can't copy it), but the result of this (it's the beginning of the translation fr.po)

TM

unread,
Feb 14, 2014, 11:55:49 AM2/14/14
to cinnamon...@googlegroups.com
This mailing list is only for the panel applet:

http://cinnamon-spices.linuxmint.com/applets/view/17

If you're having trouble with localization in a desklet, you should contact its developer.

http://cinnamon-spices.linuxmint.com/desklets
Message has been deleted
Message has been deleted

4nt01n3

unread,
Feb 14, 2014, 12:59:32 PM2/14/14
to cinnamon...@googlegroups.com
OK I'm wrong, I'm talking about the panel applet.
I've tried to upload a picture but Google just put a long long code...

TM

unread,
Feb 17, 2014, 8:53:54 AM2/17/14
to cinnamon...@googlegroups.com
That's fine -- it's base64.

The text you're seeing is from the translation template (.pot) file.
I'm not sure how it got there.

Cinnamon compiles the .po file for your locale during applet
installation; maybe it failed.

Is other text translated correctly?

What is your locale? (I think the output of `echo $LANG` will tell us.)
> * Dutch. Thanks to Pjotr123 <https://github.com/Pjotr123>.

Geert Wirken

unread,
Feb 17, 2014, 6:16:42 PM2/17/14
to cinnamon...@googlegroups.com
Perhaps an empty source string for gettext? Empty msgid's contain the PO file metadata.

--Geert

TM

unread,
Feb 20, 2014, 1:15:21 PM2/20/14
to cinnamon...@googlegroups.com
Version 1.8.11 is now available.

## Updated translations

* German. Thanks to to-ba <https://github.com/to-ba>.

TM

unread,
Mar 28, 2014, 1:25:00 AM3/28/14
to cinnamon...@googlegroups.com
Version 1.8.12 is now available.

## Updated translations

* Icelandic.  Thanks to Sveinn í Felli.
Reply all
Reply to author
Forward
0 new messages